/*
 * Java
 *
 * Copyright 2014-2015 IS2T. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found at http://www.is2t.com/open-source-bsd-license/.
 */
package app;

import com.is2t.mwt.widgets.LookExtension;

import ej.microui.io.DisplayFont;
import ej.mwt.rendering.Look;

public class MyLook implements Look {

	private static final int FOREGROUND_COLOR_CONTENT = 0x000000;
	private static final int FOREGROUND_COLOR_DEFAULT = 0x000000;
	private static final int FOREGROUND_COLOR_FOCUSED = 0x000000;
	private static final int BACKGROUND_COLOR_CONTENT = 0xB7A9A9;
	private static final int BACKGROUND_COLOR_DEFAULT = 0xB7A9A9;
	private static final int BACKGROUND_COLOR_FOCUSED = 0xD1DDDD;
	private static final int BORDER_COLOR_CONTENT = 0x969aa2;
	private static final int BORDER_COLOR_DEFAULT = 0x969aa2;
	private static final int BORDER_COLOR_FOCUSED = 0x969aa2;
	private static final int MEDIUM_FONT_INDEX = 0;
	private static final int X_BIG_FONT_INDEX = 1;
	private static final DisplayFont MEDIUM_FONT = DisplayFont.getFont(DisplayFont.LATIN, 30, DisplayFont.STYLE_PLAIN);
	private static final DisplayFont X_BIG_FONT = DisplayFont.getFont(DisplayFont.LATIN, 50, DisplayFont.STYLE_PLAIN);	
	private static final DisplayFont[] FONTS = {MEDIUM_FONT, X_BIG_FONT};
	
	@Override
	public int getProperty(int resource) {
		switch (resource) {
		case LookExtension.GET_MEDIUM_FONT_INDEX:
			return MEDIUM_FONT_INDEX;
		case Look.GET_FOREGROUND_COLOR_CONTENT:
			return FOREGROUND_COLOR_CONTENT;
		case Look.GET_BACKGROUND_COLOR_DEFAULT:
			return BACKGROUND_COLOR_DEFAULT;
		case Look.GET_BORDER_COLOR_CONTENT:
			return BORDER_COLOR_CONTENT;
		case Look.GET_BORDER_COLOR_DEFAULT:
			return BORDER_COLOR_DEFAULT;
		case Look.GET_BACKGROUND_COLOR_CONTENT:
			return BACKGROUND_COLOR_CONTENT;
		case LookExtension.GET_X_BIG_FONT_INDEX:
			return X_BIG_FONT_INDEX;
		case Look.GET_FONT_INDEX_DEFAULT:
			return MEDIUM_FONT_INDEX;
		case Look.GET_FOREGROUND_COLOR_DEFAULT:
			return FOREGROUND_COLOR_DEFAULT;
		case Look.GET_BACKGROUND_COLOR_FOCUSED:
			return BACKGROUND_COLOR_FOCUSED;
		case Look.GET_BORDER_COLOR_FOCUSED:
			return BORDER_COLOR_FOCUSED;
		case Look.GET_FOREGROUND_COLOR_FOCUSED:
			return FOREGROUND_COLOR_FOCUSED;
		case Look.GET_FONT_INDEX_FOCUSED:
			return MEDIUM_FONT_INDEX;		
		default:
			System.out.println("Need resource: "+resource);
		}
		return 0;
	}

	@Override
	public DisplayFont[] getFonts() {
		return FONTS;
	}

}
