package app;

public class RTC {
	
	private int time;
	private int alarmTime = 0xFFFFFF;
	
	static native void RTCInit();
	static native int RTCGetTime(); 
	static native void RTCSetTime(int time);
	
	public RTC() {
		RTC.RTCInit();
	}
	
	void readTime() {
		this.time = RTC.RTCGetTime();
	}
	
	public void setTime(int sec, int min, int hr) {
		this.time = (sec % 10) | ((sec/10) << 4) | ((min % 10) << 8) | ((min/10) << 12) | ((hr % 10) << 16) | ((hr/10) << 20);
		RTC.RTCSetTime(this.time);
	}

	public String createTimeString() {
		int sec = ((this.time & 0xF0) >> 4) * 10 + (this.time & 0x0F); 
		int min = ((this.time & 0xF000) >> 12) * 10 + ((this.time & 0x0F00) >> 8);
		int hour = ((this.time & 0xF00000) >> 20) * 10 + ((this.time & 0x0F0000) >> 16);
		
		StringBuilder timeBuilder = new StringBuilder();
		if(hour<10)
			timeBuilder.append(0);
		timeBuilder.append(hour);
		timeBuilder.append(":");
		if(min<10)
			timeBuilder.append(0);
		timeBuilder.append(min);
		timeBuilder.append(":");
		if(sec<10)
			timeBuilder.append(0);
		timeBuilder.append(sec);
		return timeBuilder.toString();
	}
	
	void setAlarmTime(int sec, int min, int hr) {
		this.alarmTime = (sec % 10) | ((sec/10) << 4) | ((min % 10) << 8) | ((min/10) << 12) | ((hr % 10) << 16) | ((hr/10) << 20);
	}
	
	boolean checkAlarm() {
		return this.time == this.alarmTime;
	}
}
